#!/bin/bash

example=mjpegVSP

DOL_PATH=/net/meije/local/basu/DOL/bin

CLASSPATH_DELIMITER=":"

if [[ "${CLASSPATH_DELIMITER}" != ":" &&  "${CLASSPATH_DELIMITER}" != ";" ]]
then
  CLASSPATH_DELIMITER=":"
fi

JARS="${DOL_PATH}/dol.jar${CLASSPATH_DELIMITER}${DOL_PATH}/xercesImpl.jar${CLASSPATH_DELIMITER}${DOL_PATH}/jdom.jar"

HEADER="[RUNMODEL] "

echo 
rm -rf systemc


#echo
#echo ${HEADER} check compliance for "${example}.xml".
#echo
#java -classpath "${JARS}${CLASSPATH_DELIMITER}./.." dol.helper.validator.XMLValidator ${example}.xml

#if [ "$?" != "0" ]; then
  #exit
#fi


#echo
#echo ${HEADER} Create flattened XML "${example}_flattened.xml".
#echo
#java -classpath "${JARS}${CLASSPATH_DELIMITER}./.." dol.helper.flattener.XMLFlattener ${example}.xml ${example}Generator
#javac ${example}Generator.java
#java ${example}Generator > ${example}_flattened.xml


echo
echo ${HEADER} Run dol.
echo
java -classpath "${JARS}${CLASSPATH_DELIMITER}./.." dol.main.Main -P ${example}_flattened.xml -D ${example}.dot -H systemc


echo
echo ${HEADER} Compiling SystemC
echo
cd systemc/src
make


echo
echo ${HEADER} Run SystemC functional simulation
echo
./sc_application


echo
echo ${HEADER} Exited normally.


