/************************************************************************
 * mjpeg functions                                                      *
 ************************************************************************/

#include "mjpeg.h"

inline int intceil(int N, int D) {
   int i = N / D;
   if (N > D * i) i++;
   return i;
}

inline int intfloor(int N, int D) {
   int i = N / D;
   if (N < D * i) i--;
   return i;
}

inline void dbgprintf(int urgency, const char* format, ...) {
    va_list argp;
    if ((urgency & VERBOSITY) != 0) {
        va_start(argp, format);
        printf(format, argp);
    }
}
